Page MenuHomePhabricator

Decide whether requests for new Gerrit repos are handled on mediawiki.org or in Phabricator (currently it's both)
Closed, ResolvedPublic

Description

According to the description of https://phabricator.wikimedia.org/project/profile/85/ Diffusion-Repository-Administrators is not for requesting Gerrit repositories. Instead such requests should be made on https://www.mediawiki.org/wiki/Gerrit/New_repositories/Requests

However ironically Diffusion-Repository-Administrators has a New Gerrit repo column for years now and some requests are handled in Phabricator such as T259078.

This means there have two places instead of one to look up when someone requested some Gerrit repository when, and that is annoying.

A discussion started 29 November 2019: https://www.mediawiki.org/wiki/Topic:Uqfdno10snrrfmc0

Event Timeline

Aklapper created this task.Jul 29 2020, 4:22 PM

This discussion is happening already at https://www.mediawiki.org/wiki/Topic:Uqfdno10snrrfmc0 (started 29 November 2019).

Heh, thanks! I somehow thought there was already a discussion opened somewhere but could not find it.

hashar updated the task description. (Show Details)
hashar added a subscriber: QChris.
Majavah updated the task description. (Show Details)Aug 6 2020, 8:26 AM
hashar added a subscriber: hashar.Aug 6 2020, 8:33 AM

I have subscribed @QChris since he has been handling a lot of repositories creation.

From the discussion thread, Christian asks which problem would be solved by moving the workflow from mediawiki.org to Phabricator.

I have at least a couple use cases:

  • when cleaning Gerrit from obsolete repositories (such as via Projects-Cleanup), it is often helpful to find whom/why a repository got created. That can be find in mediawiki.org though.
  • Phabricator would make it easier to cc team/person to review a repository creation.
  • The discussion seems easier to handle on Phabricator rather than on the Gerrit/New_repositories/Requests page. But that is probably a bias on my side since I really dislike mediawiki notification system :]
QChris added a comment.Aug 6 2020, 8:11 PM

I have at least a couple use cases:

Since the discussion started on wiki, let's continue it there. I've brought your comments over to the wiki at https://www.mediawiki.org/w/index.php?title=Topic:Uqfdno10snrrfmc0&topic_showPostId=vrk8lzhhar5r3ova#flow-post-vrk8lzhhar5r3ova

MarcoAurelio closed this task as Resolved.Aug 7 2020, 11:52 AM
MarcoAurelio claimed this task.

Considering the comments both here and there I went ahead and:

  • Disabled the columns for New Gerrit Repo and New Phab Repo (as we don't use Differential).
  • Added a note on Diffusion-Repository-Administrators to explicitly and visibly indicate that we use mediawiki.org to create new repos.

Proposal to migrate repository creations from mediawiki to Phabricator is declined at this stage.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 7 2020, 11:52 AM

Thanks for the decision everybody!